// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
/* $Id: OSKDataSampleSource.h,v 1.6.2.1 2000/09/12 18:41:25 bungi Exp $ */

#import "OSKSampleSource.h"

@class NSData;

@interface OSKDataSampleSource : OSKSampleSource
{
    NSData *sampleData;
    OSKSampleIndex sampleDataLength;
}

- initWithSampleData: (NSData *) newSampleData
        samplingRate: (OSKSamplingRate) newSamplingRate
            channels: (int)newSamplesPerFrame
      bytesPerSample: (OSKSampleSize) newBytesPerSample
    framesPerBuffer: (OSKSampleIndex) newSamplesPerBuffer;

- (NSData *) sampleData;

@end
