// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "OSKSampleStream.h"

#import <OmniBase/OmniBase.h>

RCS_ID("$Id: OSKSampleStream.m,v 1.2.2.1 2000/09/12 18:41:27 bungi Exp $")

@implementation OSKSampleStream

- (OSKSampleBuffer *) nextSampleBufferByInterval: (NSTimeInterval) deadlineInterval
                             minimumStartingTick: (OSKTick) minimumStartingTick;
{
    OBRequestConcreteImplementation([self class], _cmd);
    return nil;
}

- (BOOL) isAtEnd;
{
    OBRequestConcreteImplementation([self class], _cmd);
    return NO;
}

@end
