// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
/* $Id: OSKDataSampleDestination.h,v 1.3.2.1 2000/09/12 18:41:24 bungi Exp $ */

#import <OmniFoundation/OFObject.h>

@class NSMutableData, NSData;
@class OSKSampleSource;

@interface OSKDataSampleDestination : OFObject
{
    NSMutableData *data;
    OSKSampleSource *sampleSource;
}

- init;

- (void) setSampleSource: (OSKSampleSource *) source;
- (OSKSampleSource *) sampleSource;

- (NSData *) run;

- (void) saveContentsAsSNDFileAtPath: (NSString *) path;

@end
