// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
/* $Id: OSKSineWaveSampleSource.h,v 1.3.2.1 2000/09/12 18:41:28 bungi Exp $ */

#import "OSKSampleSource.h"

@interface OSKSineWaveSampleSource : OSKSampleSource
{
    double  frequency;
    double  amplitude;
    double  phase;
}

- initWithFrequency: (double) aFrequency
          amplitude: (double) anAmplitude
              phase: (double) aPhase
    framesPerBuffer: (OSKSampleIndex) newSamplesPerBuffer;

- (double) frequency;
- (double) amplitude;
- (double) phase;

@end
